package com.xingxi.business.Carts.service;

import com.xingxi.business.Carts.domain.Carts;

import java.util.List;

/**
 * 购物车Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ICartsService {
    /**
     * 查询购物车
     *
     * @param id 购物车主键
     * @return 购物车
     */
    Carts selectCartsById(Long id);

    /**
     * 查询购物车列表
     *
     * @param carts 购物车
     * @return 购物车集合
     */
    List<Carts> selectCartsList(Carts carts);

    /**
     * 新增购物车
     *
     * @param carts 购物车
     * @return 结果
     */
    int insertCarts(Carts carts);

    /**
     * 新增购物车
     *
     * @param cartsList 购物车
     * @return 结果
     */
    int batchInsertCarts(List<Carts> cartsList);

    /**
     * 修改购物车
     *
     * @param carts 购物车
     * @return 结果
     */
    int updateCarts(Carts carts);

    /**
     * 批量删除购物车
     *
     * @param ids 需要删除的购物车主键集合
     * @return 结果
     */
    int deleteCartsByIds(String ids);

    /**
     * 删除购物车信息
     *
     * @param id 购物车主键
     * @return 结果
     */
    int deleteCartsById(Long id);

    /**
     * 逻辑删除购物车
     *
     * @param id 购物车主键
     * @return 结果
     */
    int logicDeleteCartsById(Long id);

    /**
     * 逻辑批量删除购物车
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteCartsByIds(String[] ids);

    /**
     * 逻辑批量删除购物车
     *
     * @param carts 购物车
     * @return 结果
     */
    int logicDeleteCartsByCondition(Carts carts);
}
